Hedera transaction and query fees follow a base fee + extras model defined by HIP-1261 (Simple Fees). Fees are denominated in USD (as tinycents internally) and paid in HBAR at the current network exchange rate. Every fee has three components: node, network, and service, summed to produce the total fee.
Fee estimates are based on assumptions about the details of a specific API call. For instance, the fee for an HBAR cryptocurrency transfer (CryptoTransfer) assumes a single signature on the transaction and the fee for storing a file assumes a 1,0000-byte sized file stored for 90 days. Transactions exceeding these base assumptions will be more expensive; we recommend increasing your maximum allowable fee to accommodate additional complexity.
Mainnet Fees
Mainnet transaction and query fees can be estimated using the Hedera Fee Estimator or the Mirror Node POST /api/v1/network/fees fee estimation endpoint. The Fee Estimator allows you to determine fees (in both USD and HBAR, using the current exchange rate live on the mainnet) for individual transactions & queries based on their characteristics, as well as projected costs based on expected volume for those transactions. The estimations may not be 100% accurate and the underlying prices are subject to change without prior notice.
The fee schedule is stored in system file 0.0.113 as a JSON document. The legacy fee schedule in system file 0.0.111 remains available for backward compatibility but will not receive further updates.
HBAR Denominations and Abbreviations
| Denominations | Abbreviations | Amount of HBAR Cryptocurrency |
|---|
| gigabar | 1 Gℏ | = 1,000,000,000 ℏ |
| megabar | 1 Mℏ | = 1,000,000 ℏ |
| kilobar | 1 Kℏ | = 1,000 ℏ |
| hbar | 1 ℏ | = 1 ℏ |
| millibar | 1,000 mℏ | = 1 ℏ |
| microbar | 1,000,000 μℏ | = 1 ℏ |
| tinybar | 100,000,000 tℏ | = 1 ℏ |
Transaction and Query Fees
All fees are subject to change. The fees below reflect a base price for the transaction or query. Under the Simple Fees model, each transaction has a service fee base fee plus variable extras (signatures, bytes, keys, token types, gas, etc.) that increase the cost beyond what is shown below. Please reference the Hedera Fee Estimator or the Mirror Node POST /api/v1/network/fees endpoint to estimate the transaction or query fee.
Cryptocurrency Service
| Operations | USD ($) |
|---|
| CryptoCreate | $0.05 |
| CryptoAccountAutoRenew | $0.00022 |
| CryptoDeleteAllowance | $0.05 |
| CryptoApproveAllowance | $0.05 |
| CryptoAddLiveHash | $0.10 |
| CryptoDeleteLiveHash | $0.005 |
| CryptoGetLiveHash | $0.0001 |
| CryptoUpdate | $0.00022 |
| CryptoTransfer | $0.0001 |
| CryptoTransfer (custom fees) | $0.002 |
| CryptoDelete | $0.005 |
| CryptoGetAccountRecords | $0.0001 |
| CryptoGetAccountBalance | $0.00 |
| CryptoGetInfo | $0.0001 |
| CryptoGetStakers | $0.0001 |
Consensus Service
| Operations | USD ($) |
|---|
| ConsensusCreateTopic | $0.01 |
| ConsensusCreateTopic (with custom fees) | $2.00 |
| ConsensusUpdateTopic | $0.00022 |
| ConsensusDeleteTopic | $0.005 |
| ConsensusSubmitMessage | $0.0008 |
| ConsensusSubmitMessage (with custom fees) | $0.05 |
| ConsensusGetTopicInfo | $0.0001 |
Token Service Operations
| Operations | USD ($) |
|---|
| TokenAirdrop (no prior association with token) | $0.10 |
| TokenAssociate | $0.05 |
| TokenBurn | $0.001 |
| TokenCancelAirdrop | $0.001 |
| TokenClaimAirdrop | $0.001 |
| TokenCreate | $1.00 |
| TokenCreate (custom fees) | $2.00 |
| TokenDelete | $0.001 |
| TokenDissociate | $0.05 |
| TokenFeeScheduleUpdate | $0.001 |
| TokenFreeze | $0.001 |
| TokenGetInfo | $0.0001 |
| TokenGetAccountNftInfos | $0.0001 |
| TokenGetNftInfo | $0.0001 |
| TokenGetNftInfos | $0.0001 |
| TokenGrantKyc | $0.001 |
| TokenMint (fungible) | $0.001 |
| TokenMint (non-fungible) | $0.02 |
| TokenMint (bulk mint 10k NFTs) | $200.00 |
| TokenPause | $0.001 |
| TokenReject | $0.001 |
| TokenRevokeKyc | $0.001 |
| TokenTransfer | $0.001 |
| TokenUnfreeze | $0.001 |
| TokenUpdate | $0.001 |
| TokenUnpause | $0.001 |
| TokenUpdateNfts (updates metadata of 1 NFT) | $0.001 |
| TokenUpdateNfts (update multiple NFTs in a single call) | (N * $0.001) |
| TokenWipe | $0.001 |
Schedule Transaction
| Operations | USD ($) |
|---|
| ScheduleCreate | $0.01 |
| ScheduleSign | $0.001 |
| ScheduleDelete | $0.001 |
| ScheduleGetInfo | $0.0001 |
File Service
| Operations | USD ($) |
|---|
| FileCreate | $0.05 |
| FileUpdate | $0.05 |
| FileDelete | $0.007 |
| FileAppend | $0.05 |
| FileGetContents | $0.0001 |
| FileGetInfo | $0.0001 |
Smart Contract Service
| Operations | USD ($) |
|---|
| ContractCreate | $1.00 |
| ContractUpdate | $0.026 |
| ContractDelete | $0.007 |
| ContractCall | $0.00 |
| ContractCallLocal | $0.001 |
| ContractGetByteCode | $0.05 |
| ContractGetInfo | $0.0001 |
| ContractGetRecords | $0.0001 |
| ContractAutoRenew | $0.026 |
| EthereumTransaction (successful transactions) | $0.00 |
| EthereumTransaction (failed transactions) | $0.0001 |
| GetBySolidityID | $0.0001 |
| Jumbo Transaction (HIP-1086) for Ethereum transactions | based on gas |
Miscellaneous
| Operations | USD ($) |
|---|
| BatchTransaction (HIP-551) | $0.001 |
| GetVersionInfo | $0.0001 |
| GetByKey | $0.0001 |
| NodeCreate | $0.001 |
| NodeDelete | $0.001 |
| NodeUpdate | $0.001 |
| PrngTransaction | $0.001 |
| SystemDelete | $0.00 |
| SystemUndelete | $0.00 |
| TransactionGetReceipt | $0.00 |
| TransactionGetRecord | $0.0001 |